ClarisWksDocument.cxx File Reference
`#include <string.h>`
`#include <algorithm>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <set>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWDebug.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWInputStream.hxx"`
`#include "MWAWListener.hxx"`
`#include "MWAWParser.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWSection.hxx"`
`#include "ClarisWksDatabase.hxx"`
`#include "ClarisWksGraph.hxx"`
`#include "ClarisWksPresentation.hxx"`
`#include "ClarisWksSpreadsheet.hxx"`
`#include "ClarisWksStyleManager.hxx"`
`#include "ClarisWksStruct.hxx"`
`#include "ClarisWksTable.hxx"`
`#include "ClarisWksText.hxx"`
`#include "ClarisWksDocument.hxx"`

## Classes

struct | ClarisWksDocumentInternal::State
| Internal: the state of a ClarisWksDocument. More...
class | ClarisWksDocumentInternal::SubDocument
| Internal: the subdocument of a ClarisWksDocument. More...

## Namespaces

namespace | ClarisWksDocumentInternal
| Internal: the structures of a ClarisWksDocument.

## Variables

constexpr int | ClarisWksDocumentInternal::MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when walking the zone graph